<ng-container *ngIf="{
        users: users$ | async,
        user: user$ | async,
        menuOpened: false } as vm">

  <ng-template #userPicture let-user="user">
    <ng-container [ngSwitch]="true">
      <ng-container *ngSwitchCase="user.roles?.includes(roleEnum.DISTRICT_ADMIN)">
        <img class="lazy-load"
             [lazyLoad]="'https://res.cloudinary.com/dozi3nbaf/image/upload/v1587313739/dg-fmi-plateau/logo/district-admin_pssoum.png'"
             [errorImage]="'common.team.defaultPicture.url' | translate"
             [alt]="user.lastName" />
      </ng-container>
      <ng-container *ngSwitchCase="user.roles?.includes(roleEnum.DISTRICT_MANAGER)">
        <img class="lazy-load"
             [lazyLoad]="'https://res.cloudinary.com/dozi3nbaf/image/upload/v1587313739/dg-fmi-plateau/logo/district-inspector_yfe6yc.png'"
             [errorImage]="'common.team.defaultPicture.url' | translate"
             [alt]="user.lastName" />
      </ng-container>
      <ng-container *ngSwitchDefault>
        <img *ngIf="'common.team.defaultPicture.url' | translate"
             class="lazy-load"
             [lazyLoad]="user.clubLogoUrl || ('common.team.defaultPicture.url' | translate)"
             [errorImage]="'common.team.defaultPicture.url' | translate"
             [alt]="user.lastName" />
      </ng-container>
    </ng-container>
  </ng-template>

  <button mat-icon-button [matMenuTriggerFor]="menu"
          (menuOpened)="vm.menuOpened = true" (menuClosed)="vm.menuOpened = false"
          [attr.aria-label]="'common.userMenu.trigger' | translate"
          angulartics2On="click"
          angularticsLabel="menu"
          angularticsAction="toggle"
          angularticsCategory="user-switch-menu">
    <ng-template #picture>
      <figure>
        <ng-container [ngTemplateOutlet]="vm.user && userPicture" [ngTemplateOutletContext]="{ user: vm.user }"></ng-container>
      </figure>
    </ng-template>
    <ng-template #logo>
      <mat-icon>
        account_circle
      </mat-icon>
    </ng-template>
    <ng-container *ngIf="vm.menuOpened then logo; else picture">
    </ng-container>
  </button>

  <mat-menu #menu="matMenu">
    <button mat-menu-item *ngFor="let user of vm.users?.items; trackBy: trackBySlug; let index = index"
            [class.menu-entry-active]="user.uuid === vm.user?.uuid"
            (click)="switchUser(user)"
            angulartics2On="click"
            [angularticsValue]="user.uuid"
            angularticsLabel="user"
            angularticsAction="switch"
            angularticsCategory="user-menu">
      <figure>
        <ng-container [ngTemplateOutlet]="userPicture" [ngTemplateOutletContext]="{ user: user }"></ng-container>
      </figure>
      <span>
        {{ user.firstName }} {{ user.lastName }}
        <small *ngFor="let role of user.roles">
          {{ 'common.userMenu.entry.role.' + role | translate }}
        </small>
      </span>
    </button>
  </mat-menu>
</ng-container>
